import numpy as np
from sklearn.model_selection import train_test_split
import matplotlib.pyplot as plt

# Cargamos los datos
D = np.loadtxt( "manchas.csv", delimiter=',' )
print( D.shape )

X = D[:, 0:2]
y = D[:, 2]
print( X.shape )
print( y.shape )

# Separamos los datos para entrenamiento y prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=21 )

fig, axis = plt.subplots()
axis.scatter( D[:,0], D[:,1], c=D[:,2] )
axis.scatter( X_entrena[:,0], X_entrena[:,1] )
plt.show( )

