import numpy as np
from sklearn.model_selection import train_test_split
from sklearn import tree

# Cargamos los datos
D = np.loadtxt( "manchas.csv", delimiter=',' )
print( D.shape )

X = D[:, 0:2]
y = D[:, 2]
print( X.shape )
print( y.shape )

# Separamos los datos para entrenamiento y prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=21 )

# clasificador = tree.DecisionTreeClassifier( )
clasificador = tree.DecisionTreeClassifier( random_state=1  )

clasificador.fit(X_entrena, y_entrena)

# y_estimadas = clasificador.predict( y_prueba )

error = clasificador.score(X_prueba, y_prueba)
print( error )

# try:
# 	arch = open( "arbol.dot", 'w' )
# except:
# 	print( "No puedo abrir el archivp arbol.dot" )

# tree.export_graphviz( clasificador, out_file=arch )
# arch.close( )

r = tree.export_text( clasificador, feature_names=[ "A", "B" ] )
print(r)
